#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EGetChannelsAlgorithm {
    Default = 1,
    Friends = 2,
    Featured = 3,
    Developer = 4,
    Following = 5,
}

impl EGetChannelsAlgorithm {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Default as i32 => Some(Self::Default),
            x if x == Self::Friends as i32 => Some(Self::Friends),
            x if x == Self::Featured as i32 => Some(Self::Featured),
            x if x == Self::Developer as i32 => Some(Self::Developer),
            x if x == Self::Following as i32 => Some(Self::Following),
            _ => None,
        }
    }
}
